Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 323479 - [gnome-overlay] gnome-base/gnome-shell-*: Please implement workaround for -Werror gnome-shell bug
Summary: [gnome-overlay] gnome-base/gnome-shell-*: Please implement workaround for -We...
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-10 20:28 UTC by Philip Wernersbach
Modified: 2010-12-30 13:17 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
The output from my "emerge --info". (emerge-info.txt,4.14 KB, text/plain)
2010-06-10 20:29 UTC, Philip Wernersbach
Details
The gnome-shell 2.31.2 ebuild with the workaround applied. (gnome-shell-2.31.2.ebuild,1.20 KB, text/plain)
2010-06-10 20:31 UTC, Philip Wernersbach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Wernersbach 2010-06-10 20:28:23 UTC
Please see the upstream bug I've filed at https://bugzilla.gnome.org/show_bug.cgi?id=621240 for information.

For simplicity's sake, I've taken the 2.31.2 ebuild from http://svn.xmw.de/gentoo-overlay/gnome-base/gnome-shell/gnome-shell-2.31.2.ebuild (a new version of gnome-shell really should get merged into the gnome overlay), and applied the workaround to it. I'd like to see this ebuild merged into the gnome overlay.

Reproducible: Always

Steps to Reproduce:
1. Run "emerge gnome-shell"
2. Wait for the build to fail.

Actual Results:  
The build fails.

Expected Results:  
Successfully built and installed gnome-shell.

Portage 2.2_rc67 (default/linux/amd64/10.0/no-multilib, gcc-4.4.3, glibc-2.10.1-r1, 2.6.33-gentoo-philsmall x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-philsmall-x86_64-with-gentoo-2.1.6
Timestamp of tree: Mon, 07 Jun 2010 12:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p35
dev-lang/python:     2.6.5-r2
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.1.6
sys-apps/openrc:     0.6.0
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.10.3, 1.11.1
sys-devel/binutils:  2.20.1
sys-devel/gcc:       4.3.3-r2, 4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.7b
virtual/os-headers:  2.6.32
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news noinfo parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://mirror.mcs.anl.gov/pub/gentoo/"
LANG="en_US.iso88591"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gnome /var/lib/layman/ruby /var/lib/layman/mozilla /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alac alsa amd64 bash-completion berkdb bluetooth bzip2 cdr cli consolekit cracklib crypt cups curl curlwrappers custom-cflags custom-cxxflags custom-optimization cxx dbus dri dvd dvdr dvdread encode fastcgi fbcon firefox flac fontconfig fortran gdbm gif gnome gnome-keyring gpm gstreamer gtk hal iconv imagemagick ipod ipv6 jabber jack jpeg lame lm_sensors mad mmap mmx modules mp3 mpeg mudflap mysql mysqli ncurses networkmanager nls nptl nptlonly offensive ogg openal opengl openmp pam pcre perl pmu png portaudio posix pppd pulseaudio quicktime readline reflection ruby samba sdl session spl sqlite sqlite3 sse sse2 ssl startup-notification sysfs tcpd tiff truetype usb userlocales vhosts vorbis wavpack wifi x264 xattr xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Philip Wernersbach 2010-06-10 20:29:54 UTC
Created attachment 234879 [details]
The output from my "emerge --info".
Comment 2 Philip Wernersbach 2010-06-10 20:31:01 UTC
Created attachment 234881 [details]
The gnome-shell 2.31.2 ebuild with the workaround applied.
Comment 3 Arun Raghavan (RETIRED) gentoo-dev 2010-06-27 09:29:06 UTC
From upstream bug, it appears that the reporter was compiling against a bad version of mutter. I do not understand why you're seeing this problem. Could you try with the latest ebuilds?
Comment 4 Pacho Ramos gentoo-dev 2010-07-16 12:49:51 UTC
(In reply to comment #3)
> From upstream bug, it appears that the reporter was compiling against a bad
> version of mutter. I do not understand why you're seeing this problem. Could
> you try with the latest ebuilds?
> 

Comment 5 Gilles Dartiguelongue gentoo-dev 2010-12-30 13:17:02 UTC
Due to lack of updated information in the last 2 weeks, there is no way we can further help you solve this problem. Thanks for reporting anyway.